Ask Your Question
1

Error when initializing Packages feature

asked 2021-11-01 19:18:33 -0600

RunDeep gravatar image

updated 2021-11-09 17:13:30 -0600

Wing Pro 8.1.0.0 (rev 17249ff49bb2); pip 21.3.1, Python 3.9.7 64 bit on Win 10 Setup a project in a virtual env and I'm able to run and debug it in it. I tried to use the Packages feature to add black to the project and am getting a continuous error; from show console:

Running: c:\SVNRepo\projects-sw\JiraConfluence\Scripts\python.exe "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py" in c:\SVNRepo\projects-sw\JiraConfluence
Running: c:\SVNRepo\projects-sw\JiraConfluence\Scripts\python.exe "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py" in c:\SVNRepo\projects-sw\JiraConfluence
Failed to get package list
Output:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 25, in <module>
    from pip._internal.utils.misc import get_installed_distributions
ImportError: cannot import name 'get_installed_distributions' from 'pip._internal.utils.misc' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\_internal\utils\misc.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 28, in <module>
    from pip import get_installed_distributions, FrozenRequirement
ImportError: cannot import name 'get_installed_distributions' from 'pip' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\__init__.py)
Failed to get package list
Output:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 25, in <module>
    from pip._internal.utils.misc import get_installed_distributions
ImportError: cannot import name 'get_installed_distributions' from 'pip._internal.utils.misc' (c:\SVNRepo\projects-sw\JiraConfluence\lib\site-packages\pip\_internal\utils\misc.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Wing Pro 8\src\external\pipdeptree.py", line 28, in <module>

Loops continuously

First time using version 8 of the IDE, did I do something wrong?

edit retag flag offensive close merge delete

Comments

Could you try reinstalling Wing 8? The traceback doesn't make sense -- there are not imports at line 25 or 28 of pipdeptree.py

Wingware Support gravatar image Wingware Support  ( 2021-11-02 11:47:26 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2021-11-02 16:38:52 -0600

I suspect the problem here is that a fix for this problem in Wing 8.1 is not loaded if you got to 8.1 via Check for Updates in the Help menu. If that is correct then installing 8.1 from https://wingware.com/downloads/wing-pro will solve it. We'll fix this so the update manager does the right thing in the future. Thanks for reporting this problem.

edit flag offensive delete link more

Comments

I did update from the help menu. I uninstalled and reinstalled using a downloaded installer and I see packages now. Thanks for the help.

RunDeep gravatar image RunDeep  ( 2021-11-03 17:45:28 -0600 )edit

Great, thanks for confirming that!

Wingware Support gravatar image Wingware Support  ( 2021-11-04 13:46:03 -0600 )edit

To follow up on this: Failure to use the updated pipdeptree.py will be fixed in 8.1.0.1 when it is available (probably in a few days).

Wingware Support gravatar image Wingware Support  ( 2021-11-09 17:13:16 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2021-11-01 19:18:33 -0600

Seen: 25 times

Last updated: Nov 03